diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index b726250b..7e25b2ed 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -335,207 +498,225 @@ var PlanModel = Backbone.Model.extend({
       // Calculate end point of first starting straight line (startx1, starty1)
       // Calculate start point of 2nd straight line (endx1, endy1)
       var midX1 = startX + ((endX - startX) / 3),
-          midX2 = startX + (2 * ((endX - startX) / 3));
+        midX2 = startX + (2 * ((endX - startX) / 3));
 
       //create arrow head
       var arrow = g.polygon(
-                    [0, ARROW_HEIGHT,
-                    (ARROW_WIDTH / 2),ARROW_HEIGHT,
-                    (ARROW_HEIGHT / 4), 0,
-                    0, ARROW_WIDTH]
-                    ).transform("r90");
+        [0, ARROW_HEIGHT,
+          (ARROW_WIDTH / 2), ARROW_HEIGHT,
+          (ARROW_HEIGHT / 4), 0,
+          0, ARROW_WIDTH,
+        ]
+      ).transform('r90');
       var marker = arrow.marker(
-                         0, 0, ARROW_WIDTH, ARROW_HEIGHT, 0, (ARROW_WIDTH / 2)
-                         ).attr(arrowOpts);
+        0, 0, ARROW_WIDTH, ARROW_HEIGHT, 0, (ARROW_WIDTH / 2)
+      ).attr(arrowOpts);
 
       // First straight line
       g.line(
         startX, startY, midX1, startY
-        ).attr(opts);
+      ).attr(opts);
 
       // Diagonal line
       g.line(
-        midX1-1, startY, midX2, endY
-        ).attr(opts);
+        midX1 - 1, startY, midX2, endY
+      ).attr(opts);
 
       // Last straight line
       var line = g.line(
-                   midX2, endY, endX, endY
-                   ).attr(opts);
-      line.attr({markerEnd: marker})
+        midX2, endY, endX, endY
+      ).attr(opts);
+      line.attr({
+        markerEnd: marker,
+      });
     },
 
     // Draw image, its name and its tooltip
     draw: function(s, xpos, ypos, pXpos, pYpos, graphContainer, toolTipContainer) {
-        var g = s.g();
-        var currentXpos = xpos + this.get('xpos') ,
-            currentYpos = ypos + this.get('ypos'),
-            isSubPlan = (this.get('Parent Relationship') === "SubPlan");
-
-        // Draw the subplan rectangle
-        if (isSubPlan) {
-          g.rect(
-            currentXpos - this.get('width') + pWIDTH + xMargin,
-            currentYpos - this.get('height') + pHEIGHT + yMargin - TXT_ALIGN,
-            this.get('width') - xMargin,
-            this.get('height') + (currentYpos - yMargin),
-            5
-          ).attr({
-              stroke: '#444444',
-              'strokeWidth': 1.2,
-              fill: 'gray',
-              fillOpacity: 0.2
-          });
+      var g = s.g();
+      var currentXpos = xpos + this.get('xpos'),
+        currentYpos = ypos + this.get('ypos'),
+        isSubPlan = (this.get('Parent Relationship') === 'SubPlan');
 
-          //provide subplan name
-          var text = g.text(
-            currentXpos  + pWIDTH - ( this.get('width') / 2) - xMargin,
-            currentYpos + pHEIGHT  - (this.get('height') / 2) - yMargin,
-            this.get('Subplan Name')
-          ).attr({
-            fontSize: TXT_SIZE, "text-anchor":"start",
-            fill: 'red'
-          });
-        }
+      // Draw the subplan rectangle
+      if (isSubPlan) {
+        g.rect(
+          currentXpos - this.get('width') + pWIDTH + xMargin,
+          currentYpos - this.get('height') + pHEIGHT + yMargin - TXT_ALIGN,
+          this.get('width') - xMargin,
+          this.get('height') + (currentYpos - yMargin),
+          5
+        ).attr({
+          stroke: '#444444',
+          'strokeWidth': 1.2,
+          fill: 'gray',
+          fillOpacity: 0.2,
+        });
 
-        // Draw the actual image for current node
-        var image = g.image(
-            pgExplain.prefix + this.get('image'),
-            currentXpos + (pWIDTH - IMAGE_WIDTH) / 2,
-            currentYpos + (pHEIGHT - IMAGE_HEIGHT) / 2,
-            IMAGE_WIDTH,
-            IMAGE_HEIGHT
-        );
+        // Provide subplan name
+        g.text(
+          currentXpos + pWIDTH - (this.get('width') / 2) - xMargin,
+          currentYpos + pHEIGHT - (this.get('height') / 2) - yMargin,
+          this.get('Subplan Name')
+        ).attr({
+          fontSize: TXT_SIZE,
+          'text-anchor': 'start',
+          fill: 'red',
+        });
+      }
 
-        // Draw tooltip
-        var image_data = this.toJSON();
-        image.mouseover(function(evt){
-
-          // Empty the tooltip content if it has any and add new data
-          toolTipContainer.empty();
-          var tooltip = $('<table></table>',{
-                           class: "pgadmin-tooltip-table"
-                        }).appendTo(toolTipContainer);
-          _.each(image_data, function(value,key) {
-            if(key !== 'image' && key !== 'Plans' &&
-               key !== 'level' && key !== 'image' &&
-               key !== 'image_text' && key !== 'xpos' &&
-               key !== 'ypos' && key !== 'width' &&
-               key !== 'height') {
-              tooltip.append( '<tr><td class="label explain-tooltip">' + key + '</td><td class="label explain-tooltip-val">' + value + '</td></tr>' );
-            };
-          });
+      // Draw the actual image for current node
+      var image = g.image(
+        pgExplain.prefix + this.get('image'),
+        currentXpos + (pWIDTH - IMAGE_WIDTH) / 2,
+        currentYpos + (pHEIGHT - IMAGE_HEIGHT) / 2,
+        IMAGE_WIDTH,
+        IMAGE_HEIGHT
+      );
+
+      // Draw tooltip
+      var image_data = this.toJSON();
+      image.mouseover(function() {
+
+        // Empty the tooltip content if it has any and add new data
+        toolTipContainer.empty();
+        var tooltip = $('<table></table>', {
+          class: 'pgadmin-tooltip-table',
+        }).appendTo(toolTipContainer);
+        _.each(image_data, function(value, key) {
+          if (key !== 'image' && key !== 'Plans' &&
+            key !== 'level' && key !== 'image' &&
+            key !== 'image_text' && key !== 'xpos' &&
+            key !== 'ypos' && key !== 'width' &&
+            key !== 'height') {
+            tooltip.append('<tr><td class="label explain-tooltip">' + key + '</td><td class="label explain-tooltip-val">' + value + '</td></tr>');
+          }
+        });
 
-          var zoomFactor = graphContainer.data('zoom-factor');
+        var zoomFactor = graphContainer.data('zoom-factor');
 
-          // Calculate co-ordinates for tooltip
-          var toolTipX = ((currentXpos + pWIDTH) * zoomFactor - graphContainer.scrollLeft());
-          var toolTipY = ((currentYpos + pHEIGHT) * zoomFactor - graphContainer.scrollTop());
+        // Calculate co-ordinates for tooltip
+        var toolTipX = ((currentXpos + pWIDTH) * zoomFactor - graphContainer.scrollLeft());
+        var toolTipY = ((currentYpos + pHEIGHT) * zoomFactor - graphContainer.scrollTop());
 
-          // Recalculate x.y if tooltip is going out of screen
-          if(graphContainer.width() < (toolTipX + toolTipContainer[0].clientWidth))
-            toolTipX -= (toolTipContainer[0].clientWidth + (pWIDTH*zoomFactor));
-          //if(document.children[0].clientHeight < (toolTipY + toolTipContainer[0].clientHeight))
-          if(graphContainer.height() < (toolTipY + toolTipContainer[0].clientHeight))
-            toolTipY -= (toolTipContainer[0].clientHeight + ((pHEIGHT/2)*zoomFactor));
+        // Recalculate x.y if tooltip is going out of screen
+        if (graphContainer.width() < (toolTipX + toolTipContainer[0].clientWidth))
+          toolTipX -= (toolTipContainer[0].clientWidth + (pWIDTH * zoomFactor));
+        //if(document.children[0].clientHeight < (toolTipY + toolTipContainer[0].clientHeight))
+        if (graphContainer.height() < (toolTipY + toolTipContainer[0].clientHeight))
+          toolTipY -= (toolTipContainer[0].clientHeight + ((pHEIGHT / 2) * zoomFactor));
 
-          toolTipX = toolTipX < 0 ? 0 : (toolTipX);
-          toolTipY = toolTipY < 0 ? 0 : (toolTipY);
+        toolTipX = toolTipX < 0 ? 0 : (toolTipX);
+        toolTipY = toolTipY < 0 ? 0 : (toolTipY);
 
-          // Show toolTip at respective x,y coordinates
-          toolTipContainer.css({'opacity': '0.8'});
-          toolTipContainer.css('left', toolTipX);
-          toolTipContainer.css( 'top', toolTipY);
+        // Show toolTip at respective x,y coordinates
+        toolTipContainer.css({
+          'opacity': '0.8',
         });
-
-        // Remove tooltip when mouse is out from node's area
-        image.mouseout(function() {
-          toolTipContainer.empty();
-          toolTipContainer.css({'opacity': '0'});
-          toolTipContainer.css('left', 0);
-          toolTipContainer.css( 'top', 0);
+        toolTipContainer.css('left', toolTipX);
+        toolTipContainer.css('top', toolTipY);
+      });
+
+      // Remove tooltip when mouse is out from node's area
+      image.mouseout(function() {
+        toolTipContainer.empty();
+        toolTipContainer.css({
+          'opacity': '0',
         });
+        toolTipContainer.css('left', 0);
+        toolTipContainer.css('top', 0);
+      });
+
+      // Draw text below the node
+      var node_label = this.get('Schema') == undefined ?
+        this.get('image_text') :
+        (this.get('Schema') + '.' + this.get('image_text'));
+      g.multitext(
+        currentXpos + (pWIDTH / 2) + TXT_ALIGN,
+        currentYpos + pHEIGHT - TXT_ALIGN,
+        node_label,
+        150, {
+          'font-size': TXT_SIZE,
+          'text-anchor': 'middle',
+        }
+      );
+
+      // Draw Arrow to parent only its not the first node
+      if (!_.isUndefined(pYpos)) {
+        var startx = currentXpos + pWIDTH;
+        var starty = currentYpos + (pHEIGHT / 2);
+        var endx = pXpos - ARROW_WIDTH;
+        var endy = pYpos + (pHEIGHT / 2);
+        var start_cost = this.get('Startup Cost'),
+          total_cost = this.get('Total Cost');
+        var arrow_size = DEFAULT_ARROW_SIZE;
+
+        // Calculate arrow width according to cost of a particular plan
+        if (start_cost != undefined && total_cost != undefined) {
+          arrow_size = Math.round(Math.log((start_cost + total_cost) / 2 + start_cost));
+          arrow_size = arrow_size < 1 ? 1 : arrow_size > 10 ? 10 : arrow_size;
+        }
 
-        // Draw text below the node
-        var node_label = (this.get('Schema') == undefined ?
-                            this.get('image_text') :
-                            this.get('Schema')+"."+this.get('image_text'));
-        var label = g.g();
-        g.multitext(
-          currentXpos + (pWIDTH / 2) + TXT_ALIGN,
-          currentYpos + pHEIGHT - TXT_ALIGN,
-          node_label,
-          150,
-          {"font-size": TXT_SIZE ,"text-anchor":"middle"}
-        );
 
-        // Draw Arrow to parent only its not the first node
-        if (!_.isUndefined(pYpos)) {
-            var startx = currentXpos + pWIDTH;
-            var starty = currentYpos + (pHEIGHT / 2);
-            var endx = pXpos - ARROW_WIDTH;
-            var endy = pYpos + (pHEIGHT / 2);
-            var start_cost = this.get("Startup Cost"),
-                total_cost = this.get("Total Cost");
-            var arrow_size = DEFAULT_ARROW_SIZE;
-            // Calculate arrow width according to cost of a particular plan
-            if(start_cost != undefined && total_cost != undefined) {
-              var arrow_size = Math.round(Math.log((start_cost+total_cost)/2 + start_cost));
-              arrow_size = arrow_size < 1 ? 1 : arrow_size > 10 ? 10 : arrow_size;
-            }
-
-
-            var arrow_view_box = [0, 0, 2*ARROW_WIDTH, 2*ARROW_HEIGHT];
-            var opts = {stroke: "#000000", strokeWidth: arrow_size + 1},
-                subplanOpts = {stroke: "#866486", strokeWidth: arrow_size + 1},
-                arrowOpts = {viewBox: arrow_view_box.join(" ")};
-
-            // Draw an arrow from current node to its parent
-            this.drawPolyLine(
-              g, startx, starty, endx, endy,
-              isSubPlan ? subplanOpts : opts, arrowOpts
-            );
-        }
+        var arrow_view_box = [0, 0, 2 * ARROW_WIDTH, 2 * ARROW_HEIGHT];
+        var opts = {
+            stroke: '#000000',
+            strokeWidth: arrow_size + 1,
+          },
+          subplanOpts = {
+            stroke: '#866486',
+            strokeWidth: arrow_size + 1,
+          },
+          arrowOpts = {
+            viewBox: arrow_view_box.join(' '),
+          };
+
+        // Draw an arrow from current node to its parent
+        this.drawPolyLine(
+          g, startx, starty, endx, endy,
+          isSubPlan ? subplanOpts : opts, arrowOpts
+        );
+      }
 
-        var plans = this.get('Plans');
+      var plans = this.get('Plans');
 
-        // Draw nodes for current plan's children
-        _.each(plans, function(p) {
-            p.draw(s, xpos, ypos, currentXpos, currentYpos, graphContainer, toolTipContainer);
-        });
-    }
-});
+      // Draw nodes for current plan's children
+      _.each(plans, function(p) {
+        p.draw(s, xpos, ypos, currentXpos, currentYpos, graphContainer, toolTipContainer);
+      });
+    },
+  });
 
-// Main backbone model to store JSON object
-var MainPlanModel = Backbone.Model.extend({
+  // Main backbone model to store JSON object
+  var MainPlanModel = Backbone.Model.extend({
     defaults: {
-        "Plan": undefined,
-        xpos: 0,
-        ypos: 0,
+      'Plan': undefined,
+      xpos: 0,
+      ypos: 0,
     },
     initialize: function() {
-        this.set("Plan", new PlanModel());
+      this.set('Plan', new PlanModel());
     },
 
     // Parse the JSON data and fetch its children plans
     parse: function(data) {
-        if (data && 'Plan' in data) {
-           var plan = this.get("Plan");
-           plan.set(
-             plan.parse(
-               _.extend(
-                 data['Plan'], {
-                   xpos: 0,
-                   ypos: 0
-                 })));
-
-           data['xpos'] = 0;
-           data['ypos'] = 0;
-           data['width'] = plan.get('width') + (xMargin * 2);
-           data['height'] = plan.get('height') + (yMargin * 4);
-
-           delete data['Plan'];
-        }
+      if (data && 'Plan' in data) {
+        var plan = this.get('Plan');
+        plan.set(
+          plan.parse(
+            _.extend(
+              data['Plan'], {
+                xpos: 0,
+                ypos: 0,
+              })));
+
+        data['xpos'] = 0;
+        data['ypos'] = 0;
+        data['width'] = plan.get('width') + (xMargin * 2);
+        data['height'] = plan.get('height') + (yMargin * 4);
+
+        delete data['Plan'];
+      }
 
       return data;
     },
@@ -549,147 +730,162 @@ var MainPlanModel = Backbone.Model.extend({
       return res;
     },
     draw: function(s, xpos, ypos, graphContainer, toolTipContainer) {
-        var g = s.g();
+      var g = s.g();
 
-        //draw the border
-        g.rect(
-	        0, 0, this.get('width') - 10, this.get('height') - 10, 5
-	    ).attr({
-            fill: '#FFF'
-        });
+      //draw the border
+      g.rect(
+        0, 0, this.get('width') - 10, this.get('height') - 10, 5
+      ).attr({
+        fill: '#FFF',
+      });
 
-        //Fetch total width, height
-        TOTAL_WIDTH = this.get('width');
-        TOTAL_HEIGHT = this.get('height');
-        var plan = this.get('Plan');
+      var plan = this.get('Plan');
 
-        //Draw explain graph
-        plan.draw(g, xpos, ypos, undefined, undefined, graphContainer, toolTipContainer);
-    }
-});
+      // Draw explain graph
+      plan.draw(
+        g, xpos, ypos, undefined, undefined, graphContainer, toolTipContainer
+      );
+    },
+  });
+
+  // Parse and draw full graphical explain
+  _.extend(pgExplain, {
+    // Assumption container is a jQuery object
+    DrawJSONPlan: function(container, plan) {
+      container.empty();
+      var curr_zoom_factor = 1.0;
+
+      var zoomArea = $('<div></div>', {
+          class: 'pg-explain-zoom-area btn-group',
+          role: 'group',
+        }).appendTo(container),
+        zoomInBtn = $('<button></button>', {
+          class: 'btn pg-explain-zoom-btn badge',
+          title: 'Zoom in',
+        }).appendTo(zoomArea).append(
+          $('<i></i>', {
+            class: 'fa fa-search-plus',
+          })),
+        zoomToNormal = $('<button></button>', {
+          class: 'btn pg-explain-zoom-btn badge',
+          title: 'Zoom to original',
+        }).appendTo(zoomArea).append(
+          $('<i></i>', {
+            class: 'fa fa-arrows-alt',
+          })),
+        zoomOutBtn = $('<button></button>', {
+          class: 'btn pg-explain-zoom-btn badge',
+          title: 'Zoom out',
+        }).appendTo(zoomArea).append(
+          $('<i></i>', {
+            class: 'fa fa-search-minus',
+          }));
+
+      // Main div to be drawn all images on
+      var planDiv = $('<div></div>', {
+          class: 'pgadmin-explain-container',
+        }).appendTo(container),
+        // Div to draw tool-tip on
+        toolTip = $('<div></div>', {
+          id: 'toolTip',
+          class: 'pgadmin-explain-tooltip',
+        }).appendTo(container);
+      toolTip.empty();
+      planDiv.data('zoom-factor', curr_zoom_factor);
+
+      var w = 0,
+        h = yMargin;
+
+      _.each(plan, function(p) {
+        var main_plan = new MainPlanModel();
+
+        // Parse JSON data to backbone model
+        main_plan.set(main_plan.parse(p));
+        w = main_plan.get('width');
+        h = main_plan.get('height');
+
+        var s = Snap(w, h),
+          $svg = $(s.node).detach();
+        planDiv.append($svg);
+        main_plan.draw(s, w - xMargin, yMargin, planDiv, toolTip);
+
+        var initPanelWidth = planDiv.width();
+
+        /*
+         * Scale graph in case its width is bigger than panel width
+         * in which the graph is displayed
+         */
+        if (initPanelWidth < w) {
+          var width_ratio = initPanelWidth / w;
+
+          curr_zoom_factor = width_ratio;
+          curr_zoom_factor = curr_zoom_factor < MIN_ZOOM_FACTOR ? MIN_ZOOM_FACTOR : curr_zoom_factor;
+          curr_zoom_factor = curr_zoom_factor > INIT_ZOOM_FACTOR ? INIT_ZOOM_FACTOR : curr_zoom_factor;
+
+          var zoomInMatrix = new Snap.matrix();
+          zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
+
+          $svg.find('g').first().attr({
+            transform: zoomInMatrix,
+          });
+          $svg.attr({
+            'width': w * curr_zoom_factor,
+            'height': h * curr_zoom_factor,
+          });
+          planDiv.data('zoom-factor', curr_zoom_factor);
+        }
+
+        zoomInBtn.on('click', function() {
+          curr_zoom_factor = ((curr_zoom_factor + ZOOM_RATIO) > MAX_ZOOM_FACTOR) ? MAX_ZOOM_FACTOR : (curr_zoom_factor + ZOOM_RATIO);
+          var zoomInMatrix = new Snap.matrix();
+          zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
+
+          $svg.find('g').first().attr({
+            transform: zoomInMatrix,
+          });
+          $svg.attr({
+            'width': w * curr_zoom_factor,
+            'height': h * curr_zoom_factor,
+          });
+          planDiv.data('zoom-factor', curr_zoom_factor);
+          zoomInBtn.blur();
+        });
+
+        zoomOutBtn.on('click', function() {
+          curr_zoom_factor = ((curr_zoom_factor - ZOOM_RATIO) < MIN_ZOOM_FACTOR) ? MIN_ZOOM_FACTOR : (curr_zoom_factor - ZOOM_RATIO);
+          var zoomInMatrix = new Snap.matrix();
+          zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
 
-// Parse and draw full graphical explain
-_.extend(
-    pgExplain, {
-        // Assumption container is a jQuery object
-        DrawJSONPlan: function(container, plan) {
-          var my_plans = [];
-          container.empty();
-          var curr_zoom_factor = 1.0;
-
-          var zoomArea =$('<div></div>', {
-                class: 'pg-explain-zoom-area btn-group',
-                role: 'group'
-                }).appendTo(container),
-              zoomInBtn = $('<button></button>', {
-                class: 'btn pg-explain-zoom-btn badge',
-                title: 'Zoom in'
-                }).appendTo(zoomArea).append(
-                  $('<i></i>',{
-                    class: 'fa fa-search-plus'
-                  })),
-              zoomToNormal = $('<button></button>', {
-                class: 'btn pg-explain-zoom-btn badge',
-                title: 'Zoom to original'
-                }).appendTo(zoomArea).append(
-                  $('<i></i>',{
-                    class: 'fa fa-arrows-alt'
-                  })),
-              zoomOutBtn = $('<button></button>', {
-                class: 'btn pg-explain-zoom-btn badge',
-                title: 'Zoom out'
-                }).appendTo(zoomArea).append(
-                  $('<i></i>', {
-                    class: 'fa fa-search-minus'
-                  }));
-
-          // Main div to be drawn all images on
-          var planDiv = $('<div></div>',
-                           {class: "pgadmin-explain-container"}
-                         ).appendTo(container),
-              // Div to draw tool-tip on
-              toolTip = $('<div></div>',
-                           {id: "toolTip",
-                           class: "pgadmin-explain-tooltip"
-                           }
-                         ).appendTo(container);
-          toolTip.empty();
+          $svg.find('g').first().attr({
+            transform: zoomInMatrix,
+          });
+          $svg.attr({
+            'width': w * curr_zoom_factor,
+            'height': h * curr_zoom_factor,
+          });
           planDiv.data('zoom-factor', curr_zoom_factor);
+          zoomOutBtn.blur();
+        });
 
-          var w = 0, h = 0,
-              x = xMargin, h = yMargin;
-
-          _.each(plan, function(p) {
-            var main_plan = new MainPlanModel();
-
-            // Parse JSON data to backbone model
-            main_plan.set(main_plan.parse(p));
-            w = main_plan.get('width');
-            h = main_plan.get('height');
-
-            var s = Snap(w, h),
-                $svg = $(s.node).detach();
-            planDiv.append($svg);
-            main_plan.draw(s, w - xMargin, yMargin, planDiv, toolTip);
-
-            var initPanelWidth = planDiv.width(),
-                initPanelHeight = planDiv.height();
-
-             /*
-              * Scale graph in case its width is bigger than panel width
-              * in which the graph is displayed
-              */
-            if(initPanelWidth < w) {
-              var width_ratio = initPanelWidth / w;
-
-              curr_zoom_factor = width_ratio;
-              curr_zoom_factor = curr_zoom_factor < MIN_ZOOM_FACTOR ? MIN_ZOOM_FACTOR : curr_zoom_factor;
-              curr_zoom_factor = curr_zoom_factor > INIT_ZOOM_FACTOR ? INIT_ZOOM_FACTOR : curr_zoom_factor;
-
-              var zoomInMatrix = new Snap.matrix();
-              zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
-
-              $svg.find('g').first().attr({transform: zoomInMatrix});
-              $svg.attr({'width': w * curr_zoom_factor, 'height': h * curr_zoom_factor});
-              planDiv.data('zoom-factor', curr_zoom_factor);
-            }
-
-            zoomInBtn.on('click', function(e){
-              curr_zoom_factor = ((curr_zoom_factor + ZOOM_RATIO) > MAX_ZOOM_FACTOR) ? MAX_ZOOM_FACTOR : (curr_zoom_factor + ZOOM_RATIO);
-              var zoomInMatrix = new Snap.matrix();
-              zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
-
-              $svg.find('g').first().attr({transform: zoomInMatrix});
-              $svg.attr({'width': w * curr_zoom_factor, 'height': h * curr_zoom_factor});
-              planDiv.data('zoom-factor', curr_zoom_factor);
-              zoomInBtn.blur();
-            });
-
-            zoomOutBtn.on('click', function(e) {
-              curr_zoom_factor = ((curr_zoom_factor - ZOOM_RATIO) < MIN_ZOOM_FACTOR) ? MIN_ZOOM_FACTOR : (curr_zoom_factor - ZOOM_RATIO);
-              var zoomInMatrix = new Snap.matrix();
-              zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
-
-              $svg.find('g').first().attr({transform: zoomInMatrix});
-              $svg.attr({'width': w * curr_zoom_factor, 'height': h * curr_zoom_factor});
-              planDiv.data('zoom-factor', curr_zoom_factor);
-              zoomOutBtn.blur();
-            });
-
-            zoomToNormal.on('click', function(e) {
-              curr_zoom_factor = INIT_ZOOM_FACTOR;
-              var zoomInMatrix = new Snap.matrix();
-              zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
-
-              $svg.find('g').first().attr({transform: zoomInMatrix});
-              $svg.attr({'width': w * curr_zoom_factor, 'height': h * curr_zoom_factor});
-              planDiv.data('zoom-factor', curr_zoom_factor);
-              zoomToNormal.blur();
-            });
+        zoomToNormal.on('click', function() {
+          curr_zoom_factor = INIT_ZOOM_FACTOR;
+          var zoomInMatrix = new Snap.matrix();
+          zoomInMatrix.scale(curr_zoom_factor, curr_zoom_factor);
+
+          $svg.find('g').first().attr({
+            transform: zoomInMatrix,
+          });
+          $svg.attr({
+            'width': w * curr_zoom_factor,
+            'height': h * curr_zoom_factor,
           });
+          planDiv.data('zoom-factor', curr_zoom_factor);
+          zoomToNormal.blur();
+        });
+      });
 
-        }
-    });
+    },
+  });
 
-    return pgExplain;
+  return pgExplain;
 });
